﻿<UserControl x:Class="ThinkGeo.UI.Wpf.HowDoI.TopologicalValidation.PointValidationSample"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.Wpf;assembly=ThinkGeo.UI.Wpf"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ThinkGeoUI:MapView Grid.Column="0" Grid.Row="0" Grid.RowSpan="4" x:Name="mapView" Background="White" Loaded="MapView_Loaded"></ThinkGeoUI:MapView>
        <Grid Grid.Column="1" Grid.Row="0">
            <Label Grid.Column="1" Grid.Row="0">
                <Label.Content>
                    <AccessText HorizontalAlignment="Center" FontSize="17" TextWrapping="Wrap" Text="Point Validation Tests"/>
                </Label.Content>
            </Label>
            <RadioButton Grid.Column="1" Grid.Row="1" x:Name="rdoCheckIfPointsAreTouchingLines" Checked="CheckIfPointsAreTouchingLines">Points Must Be Touching Lines</RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="2" x:Name="rdoCheckIfPointsAreTouchingLineEndpoints" Checked="CheckIfPointsAreTouchingLineEndpoints">Points Must Be Touching Line Endpoints</RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="3" x:Name="rdoCheckIfPointsAreTouchingPolygonBoundaries" Checked="CheckIfPointsAreTouchingPolygonBoundaries">Points Must Be Touching Polygon Boundaries</RadioButton>
            <RadioButton Grid.Column="1" Grid.Row="4" x:Name="rdoCheckIfPointsAreWithinPolygons" Checked="CheckIfPointsAreWithinPolygons">Points Must Be Within Polygons</RadioButton>
            <TextBlock Grid.Column="1" Grid.Row="5" x:Name="txtValidationInfo"></TextBlock>

            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="5" />
                <ColumnDefinition Width="240" />
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="5" />
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
        </Grid>

        <!-- Grid Layout -->
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="Auto" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition/>
        </Grid.RowDefinitions>

    </Grid>
    <UserControl.Resources>
        <Style TargetType="Label">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="FontSize" Value="14"></Setter>
        </Style>
        <Style TargetType="Grid">
            <Setter Property="Background" Value="DimGray"></Setter>
        </Style>
        <Style TargetType="TextBlock">
            <Setter Property="FontSize" Value="14"></Setter>
            <Setter Property="TextWrapping" Value="Wrap"></Setter>
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="Margin" Value="0,15,0,0"></Setter>
        </Style>
        <Style TargetType="TextBox">
            <Setter Property="FontSize" Value="12"></Setter>
            <Setter Property="Margin" Value="0,10,0,0"></Setter>
        </Style>
        <Style TargetType="Button">
            <Setter Property="Height" Value="22"></Setter>
            <Setter Property="Margin" Value="0,10,0,0"></Setter>
        </Style>
        <Style TargetType="ComboBox">
            <Setter Property="Height" Value="20"></Setter>
        </Style>
        <Style TargetType="RadioButton">
            <Setter Property="FontSize" Value="12"></Setter>
            <Setter Property="Margin" Value="0,5,0,0"></Setter>
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
        </Style>
    </UserControl.Resources>
</UserControl>
